<?
$infos=get_user_info();
$name=$_COOKIE['v_name'];
$nick=$_COOKIE['v_nick'];
$url=$infos['url'];

$nick_size=15;
$nick_len=mb_strlen($nick,'UTF8');
if($nick_len>9){$nick_size=13;}
$i=1;
while($i<4)
{
	$num=$num+$_POST['i'.$i];
	$i++;
}

if($num==5){$level='你内心里的“鬼”是一个有霸权主义的将军,无论你的外表多么温顺，但在内心深处，你有着一种超出常人的优越感。你也往往对自己在某一方面的才能感到相当自信。就算帮助别人，也是为了能够展现自己的这种优越呢！';}
if($num==10){$level='你内心里的“鬼”是一个胆小怯懦的小女孩。你的心灵，缺乏足够的安全感。小小的异常状况，就能让你忧郁不安好些日子。如果不能自己说服自己，那么别人的安慰往往没有什么用呢！为了保护自己，你的思想和行为也容易因为害怕而变得具有攻击性！ ';}
if($num==20){$level='你内心里的“鬼”是一个乐观，具有正义感的“英雄”,你对这个世界的看法公正，承认美好和邪恶并存；而且相信通过自己和大家的努力，邪恶也能被克服。因此在日常生活中，只要还有努力的空间，你都会尽量去争取，要你屈服可不是那么容易的事呢！';}
if($num==30){$level='你内心里的“鬼”是一个老成持重的老人,你有着和年龄不相称的成熟，像老人一样思虑过度，用惯性思维来看待进行中的事物；甚至会因为对某件事物悲观的预测，而放弃了努力的机会。自己就算真心喜爱某样东西，也会自觉地把它当作“无理要求”拼命压抑住，真是很辛苦呢！';}
if($num==40){$level='你内心里的“鬼”是一个天真乐观的小孩,你相信这个世界是美好的，邪恶的事物最终都将被美好所感化。因此，你对他人通常没有任何防备之心。或者你现时所处的优越环境，根本就没有让你受到伤害的机会。但是这样处于真空状态的你，一旦受伤，往往会伤得比任何人都很重！ ';}

$img_path='./imgs/xlygimgs.png';
$img=getImgType($img_path);
$img=createImg($img,$nick,5,50,50,0,$nick_size,'19f','yahei');
$img=createImg($img,$level,15,75,17,0,12,'fff','yahei');

$content='每个人的心里都有一些不为人知的秘密，甚至平时我们自己都很难察觉到内心的另一个自我，自己的心里究竟住着什么“鬼”呢?快来测测！ #心里有鬼#：'.$url;
$rt_info=post_send($content,$img);